package org.springblade.modules.JlrhJws.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.JlrhJws.entity.JlrhJwsEntity;
import org.springblade.modules.JlrhJws.excel.JlrhJwsExcel;
import org.springblade.modules.JlrhJws.vo.JlrhJwsVO;
import org.springblade.modules.JlrhJws.vo.JlrhJwsVOS;

import java.util.List;
import java.util.Map;

/**
 * 警务室 Mapper 接口
 *
 * @author BladeX
 * @since 2023-07-07
 */
public interface JlrhJwsMapper extends BaseMapper<JlrhJwsEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @return
	 */
	List<JlrhJwsVO> selectJlrhJwsPage(IPage page, @Param("params") Map<String, Object> params);


	/**
	 * 获取导出数据
	 *
	 * @return
	 */
	List<JlrhJwsExcel> exportJlrhJws(@Param("params") Map<String, Object> params);

	JlrhJwsVO getDetail(Long id);

	List<JlrhJwsVO> getDkfw(String deptId);

	JlrhJwsVO getPcsJwd(String deptId);

	IPage<JlrhJwsEntity> selectJwsPcs(IPage<Object> page, JlrhJwsEntity jlrhJws, String deptId);

	List<JlrhJwsVOS> selectJwsSq(Long id, String deptName);

	IPage<JlrhJwsEntity> selectJwsxx(IPage<Object> page, JlrhJwsEntity jlrhJws);

	IPage<JlrhJwsEntity> selectSqByDeptname(IPage<Object> page, JlrhJwsEntity jlrhJws, String deptId);

	int getJwsSl(Long userId);
}
